<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>

<?xdevuiml version="1.0"?>
<?template NONE?>
<?import ??>
<?import com.cit.sellfan.ui.TextFieldDouble?>
<?import com.vaadin.ui.CustomComponent?>
<?import com.xdev.ui.XdevButton?>
<?import com.xdev.ui.XdevCheckBox?>
<?import com.xdev.ui.XdevGridLayout?>
<?import com.xdev.ui.XdevHorizontalLayout?>
<?import com.xdev.ui.XdevLabel?>
<?import com.xdev.ui.XdevVerticalLayout?>
<?import com.xdev.ui.XdevView?>
<?import com.xdev.ui.entitycomponent.combobox.XdevComboBox?>
<?import com.xdev.ui.entitycomponent.table.XdevTable?>
<XdevView xmlns:x="http://xml.xdev-software.com/xdevuiml" x:name="MobileSearchView">
    <x:constraints zpos="0" width="100%" height="100%" />
    <XdevVerticalLayout x:name="verticalLayout" margin="">
        <x:constraints zpos="0" width="100%" height="100%" />
        <XdevGridLayout x:name="gridLayout" margin="l">
            <x:constraints weighty="0.0" width="100%" height="0px" />
            <XdevCheckBox caption="assiali" x:name="checkBoxAssiali">
                <x:constraints gridx="1" gridy="1" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="centrifughi" x:name="checkBoxCentrifughi">
                <x:constraints gridx="3" gridy="1" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="TR" x:name="checkBoxTR">
                <x:constraints gridx="1" gridy="2" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="DA" x:name="checkBoxDA">
                <x:constraints gridx="3" gridy="2" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="inlet" x:name="checkBoxInlet">
                <x:constraints gridx="1" gridy="3" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="outlet" x:name="checkBoxOutlet">
                <x:constraints gridx="3" gridy="3" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="totale" x:name="checkBoxTotale">
                <x:constraints gridx="1" gridy="4" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevCheckBox caption="statica" x:name="checkBoxStatica">
                <x:constraints gridx="3" gridy="4" weighty="0.0" weightx="0.1" width="100%" gridWidth="2" height="0px" />
            </XdevCheckBox>
            <XdevLabel x:name="labelPortata" value="Q" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                <x:constraints gridx="1" gridy="5" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </XdevLabel>
            <TextFieldDouble x:name="textFieldPortata">
                <x:constraints gridx="2" gridy="5" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </TextFieldDouble>
            <XdevComboBox x:name="comboBoxPortataUM">
                <x:constraints gridx="3" gridy="5" weighty="0.0" weightx="0.1" width="80%" height="0px" />
                <x:typeArguments>
                    <typeArgument type="CustomComponent" />
                </x:typeArguments>
                <x:event>valueChange.valueChange</x:event>
            </XdevComboBox>
            <XdevLabel x:name="labelAlezzaSLM" value="Altezza" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                <x:constraints gridx="4" gridy="5" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </XdevLabel>
            <TextFieldDouble x:name="textAltezzaSLM">
                <x:constraints gridx="5" gridy="5" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </TextFieldDouble>
            <XdevComboBox x:name="comboBoxAltezzaSLMUM">
                <x:constraints gridx="6" gridy="5" weighty="0.0" weightx="0.1" width="80%" height="0px" />
                <x:typeArguments>
                    <typeArgument type="?" />
                </x:typeArguments>
                <x:event>valueChange.valueChange</x:event>
            </XdevComboBox>
            <XdevLabel x:name="labelPressione" value="P" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                <x:constraints gridx="1" gridy="6" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </XdevLabel>
            <TextFieldDouble x:name="textFieldPressione">
                <x:constraints gridx="2" gridy="6" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </TextFieldDouble>
            <XdevComboBox x:name="comboBoxPressioneUM">
                <x:constraints gridx="3" gridy="6" weighty="0.0" weightx="0.1" width="80%" height="0px" />
                <x:typeArguments>
                    <typeArgument type="CustomComponent" />
                </x:typeArguments>
                <x:event>valueChange.valueChange</x:event>
            </XdevComboBox>
            <XdevLabel x:name="labelTemperatura" value="temp" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                <x:constraints gridx="4" gridy="6" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </XdevLabel>
            <TextFieldDouble x:name="textFieldTemperatura">
                <x:constraints gridx="5" gridy="6" weighty="0.0" weightx="0.1" width="100%" height="0px" />
            </TextFieldDouble>
            <XdevComboBox x:name="comboBoxTemperaturaUM">
                <x:constraints gridx="6" gridy="6" weighty="0.0" weightx="0.1" width="80%" height="0px" />
                <x:typeArguments>
                    <typeArgument type="?" />
                </x:typeArguments>
                <x:event>valueChange.valueChange</x:event>
            </XdevComboBox>
        </XdevGridLayout>
        <XdevTable x:name="tableRisultati" styleName="mystriped">
            <x:constraints weighty="0.2" width="100%" alignment="TOP_LEFT" height="100%" />
            <x:typeArguments>
                <typeArgument type="CustomComponent" />
            </x:typeArguments>
            <x:event>valueChange.valueChange</x:event>
        </XdevTable>
        <XdevHorizontalLayout x:name="horizontalLayout" margin="">
            <x:constraints weighty="0.0" width="100%" height="0px" />
            <XdevButton caption="Search" styleName="big azzurro" x:name="buttonSearch">
                <x:constraints weightx="0.1" width="100%" height="0px" />
                <x:event>click.buttonClick</x:event>
            </XdevButton>
            <XdevButton caption="Add to Offer" styleName="big giallo" x:name="buttonAddToOffer">
                <x:constraints weightx="0.1" width="100%" height="0px" />
                <x:event>click.buttonClick</x:event>
            </XdevButton>
        </XdevHorizontalLayout>
    </XdevVerticalLayout>
</XdevView>

